#!/usr/bin/env python
 
import dbus

bus = dbus.SystemBus()
manager_object = bus.get_object('org.bluez', '/org/bluez/Manager')
manager_if = dbus.Interface(manager_object, 'org.bluez.Manager')

devices = manager_if.DeviceList ()
print 'Found %d devices:' % len(devices)
print devices

try:
    default = manager_if.DefaultDevice()
    print 'Default device is %s' % default
except dbus.DBusException, e:
    print 'Failed to get default device: %s' % e
    
